import { Module } from '@nestjs/common';
import { AppController } from './app.controller';
import { AppService } from './app.service';
import { AppConfigModule } from './modules/config/config.module';
import { AppDatabaseModule } from './modules/database/database.module';
import { AppLoggerModule } from './modules/logger/logger.module';

@Module({
  imports: [AppConfigModule, AppLoggerModule, AppDatabaseModule],
  controllers: [AppController],
  providers: [AppService],
})
export class AppModule {}
